python2.7 default python in wheezy

python | 2.7.2-7 | wheezy | all
python | 2.7.2-7 | sid | all

This took a lot of work from a lot of people. Thank you everyone.

Fortunately there won’t be a python2.8, so we don’t have to do this again.

Advertisements

7 Responses to “python2.7 default python in wheezy”


  1. 1 Janos October 6, 2011 at 16:51

    Congrats! 🙂

  2. 2 foobar October 6, 2011 at 17:48

    Thanks alot!

  3. 3 foo October 6, 2011 at 21:24

    You are forgetting that there will be multiple Python 3.1 versions

    • 4 skitterman October 6, 2011 at 21:57

      Not at all. Although we’re already past python3.1 and on to python3.2, I’m not forgetting it.

      There are a number of upstream changes that make supporting multiple python3 versions easier than it was for python. We aren’t quite there yet, but it should be better. Also we are (hopefully) avoiding the situation of multiple helpers to confuse things further.

      I do expect we’ll have to support multiple python3 versions at some point, but it should be a much easier exercise than it’s been for python.

  4. 5 nico October 7, 2011 at 09:51

    Thanks to everyone involved!

  5. 6 mirabilos October 8, 2011 at 14:10

    Now if python2.7 would stop requiring db4.8…

  6. 7 Owen October 10, 2011 at 09:20

    Awesome, thank you.


Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s





%d bloggers like this: